point_const_iterator_ Class Reference
Inheritance diagram for point_const_iterator_:
[legend]

## Public Types

typedef const_pointer_ | const_pointer
typedef const_reference_ | const_reference
typedef trivial_iterator_difference_type | difference_type
typedef trivial_iterator_tag | iterator_category
typedef pointer_ | pointer
typedef reference_ | reference
typedef value_type_ | value_type

## Public Member Functions

| point_const_iterator_ ()
| point_const_iterator_ (const point_const_iterator_ &other)
| point_const_iterator_ (const point_iterator_ &other)
| point_const_iterator_ (const_pointer p_value)
bool | operator!= (const point_const_iterator_ &other) const
bool | operator!= (const point_iterator_ &other) const
const_reference | operator* () const
const_pointer | operator-> () const
bool | operator== (const point_const_iterator_ &other) const
bool | operator== (const point_iterator_ &other) const

## Protected Attributes

const_pointer | m_p_value

## Friends

class | PB_DS_CLASS_C_DEC
class | point_iterator_

## Detailed Description

Const point-type iterator.

Definition at line 45 of file unordered_iterator/point_const_iterator.hpp.

## Member Typedef Documentation

## const_pointer

typedef const_pointer_ point_const_iterator_::const_pointer

Iterator's const pointer type.

Definition at line 61 of file unordered_iterator/point_const_iterator.hpp.

## const_reference

typedef const_reference_ point_const_iterator_::const_reference

Iterator's const reference type.

Definition at line 67 of file unordered_iterator/point_const_iterator.hpp.

## difference_type

typedef trivial_iterator_difference_type point_const_iterator_::difference_type

Difference type.

Definition at line 52 of file unordered_iterator/point_const_iterator.hpp.

## iterator_category

typedef trivial_iterator_tag point_const_iterator_::iterator_category

Category.

Definition at line 49 of file unordered_iterator/point_const_iterator.hpp.

## pointer

typedef pointer_ point_const_iterator_::pointer

Iterator's pointer type.

Definition at line 58 of file unordered_iterator/point_const_iterator.hpp.

## reference

typedef reference_ point_const_iterator_::reference

Iterator's reference type.

Definition at line 64 of file unordered_iterator/point_const_iterator.hpp.

## value_type

typedef value_type_ point_const_iterator_::value_type

Iterator's value type.

Definition at line 55 of file unordered_iterator/point_const_iterator.hpp.

## Constructor & Destructor Documentation

## point_const_iterator_() [1/3]

point_const_iterator_::point_const_iterator_ | ( |  | ) |

inline

Default constructor.

Definition at line 75 of file unordered_iterator/point_const_iterator.hpp.

## point_const_iterator_() [2/3]

point_const_iterator_::point_const_iterator_ | ( | const point_const_iterator_ & | other | ) |

inline

Copy constructor.

Definition at line 80 of file unordered_iterator/point_const_iterator.hpp.

## point_const_iterator_() [3/3]

point_const_iterator_::point_const_iterator_ | ( | const point_iterator_ & | other | ) |

inline

Copy constructor.

Definition at line 86 of file unordered_iterator/point_const_iterator.hpp.

## Member Function Documentation

## operator!=() [1/2]

bool point_const_iterator_::operator!= | ( | const point_const_iterator_ & | other | ) | const

inline

Compares content (negatively) to a different iterator object.

Definition at line 123 of file unordered_iterator/point_const_iterator.hpp.

## operator!=() [2/2]

bool point_const_iterator_::operator!= | ( | const point_iterator_ & | other | ) | const

inline

Compares content (negatively) to a different iterator object.

Definition at line 118 of file unordered_iterator/point_const_iterator.hpp.

## operator*()

const_reference point_const_iterator_::operator* | ( |  | ) | const

inline

Access.

Definition at line 100 of file unordered_iterator/point_const_iterator.hpp.

## operator->()

const_pointer point_const_iterator_::operator-> | ( |  | ) | const

inline

Access.

Definition at line 92 of file unordered_iterator/point_const_iterator.hpp.

## operator==() [1/2]

bool point_const_iterator_::operator== | ( | const point_const_iterator_ & | other | ) | const

inline

Compares content to a different iterator object.

Definition at line 113 of file unordered_iterator/point_const_iterator.hpp.

## operator==() [2/2]

bool point_const_iterator_::operator== | ( | const point_iterator_ & | other | ) | const

inline

Compares content to a different iterator object.

Definition at line 108 of file unordered_iterator/point_const_iterator.hpp.

The documentation for this class was generated from the following file:

- unordered_iterator/point_const_iterator.hpp